Skip to main content
PATCH
/
api
/
v1
/
accounts
/
{id}
Update account
curl --request PATCH \
  --url https://shelfforce.ai/api/v1/accounts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "brand",
  "contactName": "<string>",
  "contactEmail": "jsmith@example.com",
  "contactPhone": "<string>",
  "website": "<string>",
  "notes": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "type": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Path Parameters

id
string
required

Account ID

Body

application/json
name
string
type
enum<string>
Available options:
brand,
supplier,
distributor,
manufacturer,
retailer,
partner
contactName
string
contactEmail
string<email>
contactPhone
string
website
string<uri>
notes
string

Response

Account updated.

data
object